#define RED_LED_PIN 11
#define GREEN_LED_PIN 10
#define BLUE_LED_PIN 9

#define RED_POT_PIN A0
#define GREEN_POT_PIN A1
#define BLUE_POT_PIN A2

void setup() {
  pinMode(RED_LED_PIN, OUTPUT);
  pinMode(GREEN_LED_PIN, OUTPUT);
  pinMode(BLUE_LED_PIN, OUTPUT);
}

void loop() {
  int red = analogRead(RED_POT_PIN);
  int green = analogRead(GREEN_POT_PIN);
  int blue = analogRead(BLUE_POT_PIN);

  red = map(red, 0, 1023, 0, 255);
  green = map(green, 0, 1023, 0, 255);
  blue = map(blue, 0, 1023, 0, 255);

  rgb(red, green, blue);
  delay(100);
}

void rgb(int r, int g, int b){
  analogWrite(RED_LED_PIN, r);
  analogWrite(GREEN_LED_PIN, g);
  analogWrite(BLUE_LED_PIN, b);
}
